// File Reading Demo 0 and 1
String [ ] dataStrings0, dataStrings1;

int [ ] fig, xLoc, yLoc, wd, ht, redVal, greenVal, blueVal;
void setup( )
{
  size( 600, 600 );
  textSize( 24 );
  
  // Demo 0 working with chars
  dataStrings0 = loadStrings( "DemoData0.txt" );
   
  // Demo 1 workign with numbers
  dataStrings1 = loadStrings( "DemoData1.txt");
  
  fig      = new int [ dataStrings1.length ];
  xLoc     = new int [ dataStrings1.length ];
  yLoc     = new int [ dataStrings1.length ];
  wd       = new int [ dataStrings1.length ];
  ht       = new int [ dataStrings1.length ];
  redVal   = new int [ dataStrings1.length ];
  greenVal = new int [ dataStrings1.length ];
  blueVal  = new int [ dataStrings1.length ];
  
  for( int i = 0; i < dataStrings1.length; i++)
  {
    String [ ] individualStrings = split( dataStrings1[ i ], ' ' );
    int [ ] intData = int( individualStrings );
    fig[ i ]      = intData[ 0 ];
    xLoc[ i ]     = intData[ 1 ];
    yLoc[ i ]     = intData[ 2 ];
    wd[ i ]       = intData[ 3 ];
    ht[ i ]       = intData[ 4 ];
    redVal[ i ]   = intData[ 5 ];
    greenVal[ i ] = intData[ 6 ];
    blueVal[ i ]  = intData[ 7 ];
  }

}

void draw( )
{
  background( 0 );
  printText( );
  //drawFigures( );
  noLoop( );
}

void printText( )
{
   fill(  255, 255, 0 );
   text( "Array has " + dataStrings0.length + " elements:", 20, 30 );
   for( int i = 0; i < dataStrings0.length; i++)
   {
      text( dataStrings0[i], 40, 60+i*60 );
          //String [ ] temp = split( dataStrings0[i], " " );
          //text( "Substring #2 is " + temp[2], 60, 60+i*60  + 30);
   }
}

void drawFigures( )
{
  for(int i = 0; i < fig.length; i++ )
  {
    fill( redVal[i], greenVal[i], blueVal[i] );
    if ( fig[i] == 0 )
    {
      rect( xLoc[i], yLoc[i], wd[i], ht[i] );
    }
    else
    {
      ellipse( xLoc[i], yLoc[i], wd[i], ht[i] );     
    }
  }
}
